Bug 970402 - [abrt] xscreensaver-extras-5.21-7.fc18: apple2_reshape: Process /usr/libexec/xscreensaver/apple2 was killed by signal 11 (SIGSEGV)
[abrt] xscreensaver-extras-5.21-7.fc18: apple2_reshape: Process /usr/libexec/...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:f8a53f2d7d3ff196443295a5316...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 20:36 EDT by Mamoru TASAKA
Modified: 2013-06-30 21:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: xscreensaver-5.21-9.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-27 22:23:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.71 KB, text/plain)
2013-06-03 20:36 EDT, Mamoru TASAKA
no flags Details
File: cgroup (130 bytes, text/plain)
2013-06-03 20:37 EDT, Mamoru TASAKA
no flags Details
File: core_backtrace (186 bytes, text/plain)
2013-06-03 20:37 EDT, Mamoru TASAKA
no flags Details
File: dso_list (2.92 KB, text/plain)
2013-06-03 20:37 EDT, Mamoru TASAKA
no flags Details
File: environ (2.94 KB, text/plain)
2013-06-03 20:37 EDT, Mamoru TASAKA
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-03 20:37 EDT, Mamoru TASAKA
no flags Details
File: maps (8.49 KB, text/plain)
2013-06-03 20:37 EDT, Mamoru TASAKA
no flags Details
File: open_fds (160 bytes, text/plain)
2013-06-03 20:37 EDT, Mamoru TASAKA
no flags Details
File: proc_pid_status (787 bytes, text/plain)
2013-06-03 20:37 EDT, Mamoru TASAKA
no flags Details
File: var_log_messages (301 bytes, text/plain)
2013-06-03 20:37 EDT, Mamoru TASAKA
no flags Details
File: xsession_errors (158 bytes, text/plain)
2013-06-03 20:37 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2013-06-03 20:36:54 EDT
Description of problem:
Left the screen for several hours

Version-Release number of selected component:
xscreensaver-extras-5.21-7.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        apple2 -root
crash_function: apple2_reshape
executable:     /usr/libexec/xscreensaver/apple2
kernel:         3.9.4-200.fc18.i686
runlevel:       3 5
uid:            500

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 apple2_reshape at ../../hacks/apple2-main.c:1781
 #1 screenhack_table_handle_events at ../../hacks/screenhack.c:445
 #2 usleep_and_process_events at ../../hacks/screenhack.c:498
 #3 run_screenhack_table at ../../hacks/screenhack.c:564
Comment 1 Mamoru TASAKA 2013-06-03 20:36:58 EDT
Created attachment 756592 [details]
File: backtrace
Comment 2 Mamoru TASAKA 2013-06-03 20:37:00 EDT
Created attachment 756593 [details]
File: cgroup
Comment 3 Mamoru TASAKA 2013-06-03 20:37:02 EDT
Created attachment 756594 [details]
File: core_backtrace
Comment 4 Mamoru TASAKA 2013-06-03 20:37:05 EDT
Created attachment 756595 [details]
File: dso_list
Comment 5 Mamoru TASAKA 2013-06-03 20:37:08 EDT
Created attachment 756596 [details]
File: environ
Comment 6 Mamoru TASAKA 2013-06-03 20:37:11 EDT
Created attachment 756597 [details]
File: limits
Comment 7 Mamoru TASAKA 2013-06-03 20:37:14 EDT
Created attachment 756598 [details]
File: maps
Comment 8 Mamoru TASAKA 2013-06-03 20:37:16 EDT
Created attachment 756599 [details]
File: open_fds
Comment 9 Mamoru TASAKA 2013-06-03 20:37:19 EDT
Created attachment 756600 [details]
File: proc_pid_status
Comment 10 Mamoru TASAKA 2013-06-03 20:37:21 EDT
Created attachment 756601 [details]
File: var_log_messages
Comment 11 Mamoru TASAKA 2013-06-03 20:37:24 EDT
Created attachment 756602 [details]
File: xsession_errors
Comment 12 Mamoru TASAKA 2013-06-03 20:38:32 EDT
Core was generated by `apple2 -root'.
Program terminated with signal 11, Segmentation fault.
#0  0x0804cb07 in apple2_reshape (dpy=0x8350618, window=62915231, closure=0x834b850, w=1680, h=981) at ../../hacks/apple2-main.c:1781
1781	  analogtv_reconfigure (st->sim->dec);
Missing separate debuginfos, use: debuginfo-install libICE-1.0.8-2.fc18.i686 libSM-1.2.1-2.fc18.i686 libXau-1.0.6-4.fc18.i686 libXcursor-1.1.13-5.20130524git8f677eaea.fc18.i686 libXext-1.3.1-3.20130524gitdfe6e1f3b.fc18.i686 libXfixes-5.0-6.20130524gitc480fe327.fc18.i686 libXmu-1.1.1-2.fc18.i686 libXpm-3.5.10-2.fc18.i686 libXrender-0.9.7-5.20130524git786f78fd8.fc18.i686 libffi-3.0.10-3.fc18.i686 libpng-1.5.13-1.fc18.i686 libselinux-2.1.12-7.3.fc18.i686 libuuid-2.22.2-6.fc18.i686 pcre-8.31-5.fc18.i686 zlib-1.2.7-9.fc18.i686
(gdb) bt
#0  0x0804cb07 in apple2_reshape (dpy=0x8350618, window=62915231, closure=0x834b850, w=1680, h=981) at ../../hacks/apple2-main.c:1781
#1  0x0804af07 in screenhack_table_handle_events (ft=0x805e440 <apple2_xscreensaver_function_table>, closure2=0x0, window2=0, closure=0x834b850, 
    window=62915231, dpy=0x8350618) at ../../hacks/screenhack.c:445
#2  usleep_and_process_events (delay2=<optimized out>, closure2=<optimized out>, fpst2=<optimized out>, window2=<optimized out>, 
    delay=<optimized out>, closure=<optimized out>, fpst=<optimized out>, window=<optimized out>, ft=<optimized out>, dpy=<optimized out>)
    at ../../hacks/screenhack.c:498
#3  run_screenhack_table (ft=0x805e440 <apple2_xscreensaver_function_table>, window2=0, window=62915231, dpy=0x8350618)
    at ../../hacks/screenhack.c:564
#4  main (argc=1, argv=0xbf801424) at ../../hacks/screenhack.c:921
(gdb) li
1776	static void
1777	apple2_reshape (Display *dpy, Window window, void *closure, 
1778	                 unsigned int w, unsigned int h)
1779	{
1780	  struct state *st = (struct state *) closure;
1781	  analogtv_reconfigure (st->sim->dec);
1782	}
1783	
1784	static Bool
1785	apple2_event (Display *dpy, Window window, void *closure, XEvent *event)
(gdb) p *st
$1 = {duration = 60, random_p = 1, sim = 0x0, controller = 0x804f010 <terminal_controller>}
(gdb)
Comment 13 Fedora Update System 2013-06-13 01:48:18 EDT
xscreensaver-5.21-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xscreensaver-5.21-9.fc19
Comment 14 Fedora Update System 2013-06-13 01:48:41 EDT
xscreensaver-5.21-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xscreensaver-5.21-9.fc18
Comment 15 Fedora Update System 2013-06-13 01:49:07 EDT
xscreensaver-5.21-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xscreensaver-5.21-9.fc17
Comment 16 Fedora Update System 2013-06-13 22:23:42 EDT
Package xscreensaver-5.21-9.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xscreensaver-5.21-9.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10800/xscreensaver-5.21-9.fc18
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-06-18 02:23:17 EDT
xscreensaver-5.21-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Mamoru TASAKA 2013-06-27 22:23:20 EDT
Closing.
Comment 19 Fedora Update System 2013-06-30 21:28:29 EDT
xscreensaver-5.21-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-06-30 21:44:22 EDT
xscreensaver-5.21-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.